<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Syntax</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Syntax">
<meta name="keywords"       content="SELFPHP, PHP, PHP-Deklaration, Syntax">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-02T10:17+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/php_deklaration/syntax.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-02T10:17+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // PHP-Deklaration == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>PHP-Deklaration</b></a></td>
</tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
<td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"><h2>Syntax</h2>
<tr>
<td bgcolor="#EEEEEE" class="doc" valign="top" align="center">
<img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite">
</td>
<td bgcolor="#FFFFFF" valign="top" nowrap>
<p>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#tipp"><b>Tipp</b></a><br>
<img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
</p>
</td>
</tr><tr><td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td></tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">Syntax &lt;?PHP //PHP-Code ?&gt;</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="96">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Es gibt verschiedene M&ouml;glichkeiten, PHP in eine Seite einzubinden.<br>
        Da aber PHP oftmals auf Unix- bzw. Linux-Systemen arbeitet ist es<br>
        ratsam den XML-Syntax zu nehmen. Um auch den ASP-Syntax auf<br>
        diesen Systemen nutzen zu k&ouml;nnen ist es erforderlich ein Zugriff 
        auf die<br>
        Datei PHP3.INI zu haben.<br>
      </p>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="354">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>SGML-Syntax<br>  &lt;?<br>     // Hier den PHP-Code einf&uuml;gen<br>  ?&gt;</pre>
      <pre>XML-Syntax
  &lt;?PHP
     // Hier den PHP-Code einf&uuml;gen
  ?&gt;
oder
  &lt;?php
     // Hier den PHP-Code einf&uuml;gen
  ?&gt;</pre>
      <pre>ASP-Syntax
  &lt;%
     // Hier den PHP-Code einf&uuml;gen
  %&gt;</pre>
      <pre>  &lt;script language=&quot;php&quot; runat=online&gt;
     // Hier den PHP-Code einf&uuml;gen
  &lt;/script&gt;</pre>
      </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="tipp">Tipp</a></h2>

<table width="100%" cellpadding=10 height="413">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20">Sie k&ouml;nnen ihren HTML- 
      und PHP-Code so untereinander vermischen.<br>
      Um aber die &Uuml;bersicht innerhalb ihres Programmcode nicht zu verlieren<br>
      ist es ratsam, PHP- vom HTML-Code weitestgehend zu trennen. So<br>
      k&ouml;nnte man Funktionen oder Berechnungen im Dateikopf abarbeiten und<br>
      die ben&ouml;tigten Variablen an der Stelle platzieren wo sie gebraucht<br>
      werden.<br>
      Dies erleichtert nachher anderen Programmierern sich schnell in ihr<br>
      Programm einzuarbeiten.<br>
      Hier ein kleines Beispiel:
      <pre>&lt;?PHP
   function mache_etwas($wie_oft){
     for($x=0 ; $x&lt;$wie_oft ; $x++){
       echo &quot;Dies ist der &quot; . $x . &quot;. Durchlauf. &lt;br&gt;&quot;;
     }
   }
?&gt;
&lt;HTML&gt;
  &lt;HEAD&gt;
  &lt;/HEAD&gt;
&lt;BODY&gt;
   Mein erstes Programm:
&lt;BR&gt;
&lt;?PHP
   mache_etwas(6);
?&gt;
&lt;/BODY&gt;
&lt;/HTML&gt;
</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="64">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Dieses ist der 0. Durchlauf<br>
        .<br>
        .<br>
        Dieses ist der 5. Durchlauf</p>
      </td>
  </tr></table>


<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="../php_informationen/index.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="../php_informationen/index.html"><b>PHP-Informationen</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="kommentare.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="kommentare.html"><b>Kommentare</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>PHP-Deklaration</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>